Upsert vectors or records into a given vector table.
post
/vecdb/vector-tables/{vector_table_name}/upsert
Insert or update records into a vector table.
Request
Path Parameters
-
vector_table_name(required): string
The name of the vector table.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
debugFlags: object
VectorDebugFlags
Debug flags to be used to trace vector modules
-
vectors(required): array
vectors
The vectors to upsert
Nested Schema : VectorDebugFlags
Type:
objectDebug flags to be used to trace vector modules
Show Source
-
VEC_INDEX_CALIBRATION: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_COM: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_PJ: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_PJ_DWNGRD: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_PJ_GROW: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_SJ: string
Allowed Values:
[ "low", "medium", "high" ] -
VECIDX_TRANS_SJ_BG: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_FIXED_VIEW: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH_APPCHNG: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH_BUILD: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH_MEM: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH_SEARCH: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_GRAPH_STATS: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_INDEX_NEIGHBOR_PARTITIONS: string
Allowed Values:
[ "low", "medium", "high" ] -
VECTOR_TRACE: string
Allowed Values:
[ "low", "medium", "high" ]
Nested Schema : items
Type:
Show Source
object-
dense_vector: array
dense_vector
The dense vector to insert.
-
id: string
The ID of the vector record.
-
metadata: object
metadata
The metadata associated to the vector record.
Nested Schema : metadata
Type:
objectThe metadata associated to the vector record.
Security
-
BasicAuth: http
Type:
http -
BearerAuth: http
Type:
http -
OAuth2: oauth2
Type:
oauth2
Response
Supported Media Types
- application/json
- application/problem+json
201 Response
List of vectors.
Root Schema : schema
Type:
Show Source
object-
upserted_count: number
The number of upserted records.
400 Response
The request body included invalid parameters.
404 Response
The specified vector table does not exists.